## kubuntu-driver-manager 14.04ubuntu7

=== CMakeLists.txt ===
project(kcm-drivermanager)

find_package(Qt4 4.7.0 REQUIRED)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

find_package(QApt)
find_package(DebconfKDE REQUIRED)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-std=c++0x)
include_directories(${KDE4_INCLUDES} ${QT_INCLUDES} ${QAPT_INCLUDE_DIR})

macro(dbus_add_activation_session_service _sources)
    foreach (_i ${_sources})
        get_filename_component(_service_file ${_i} ABSOLUTE)
        string(REGEX REPLACE "\\.service.*$" ".service" _output_file ${_i})
        set(_target ${CMAKE_CURRENT_BINARY_DIR}/${_output_file})
        configure_file(${_service_file} ${_target})
        install(FILES ${_target} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/services )
        #install(FILES ${_target} DESTINATION ${_install_dir})
    endforeach (_i ${ARGN})
endmacro(dbus_add_activation_session_service _sources)

add_subdirectory(src)

=== debian/changelog ===
kubuntu-driver-manager (14.04ubuntu7) trusty; urgency=medium

  * Bring back device notification persistency lost in refactoring
    LP: #1304301

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 08 Apr 2014 12:05:27 +0200

kubuntu-driver-manager (14.04ubuntu6) trusty; urgency=medium

  [ Rohan Garg ]
  * Use a checkbox when there's only one driver

  [ Harald Sitter ]
  * Set dbusinterface timeout to highest possible value to prevent timeouts
    when the dbus helper is tediously slow (LP: #1303209)
    Looking back that was probably why we opted for an async connection earlier

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 07 Apr 2014 14:50:32 +0200

kubuntu-driver-manager (14.04ubuntu5) trusty; urgency=medium

  [ Harald Sitter ]
  * Fix dbus helper timing (hopefully)
    + Don't query drivers-common in ctor for no reason (block startup and
      everything).
    + Force the connection from the timeout timer to qapp::quit to be queued
      this gives us at least one additional loop run until it is actually
      called (should not make much difference).
    + Suspending and restart of the timeout timer is now done via a finally
      statement, this is to ensure that return actually has finished by the
      time we restart the timer as large chunks of data can take a while to
      throw at the daemon etc.
    = These changes combined should prevent the dbus helper from timing out
      before the data has arrived or is sent. at the very least it makes a
      system that previously had timeouts work even with a 5s timeout (i.e.
      half of what we use in production).

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 02 Apr 2014 14:35:44 +0200

kubuntu-driver-manager (14.04ubuntu4) trusty; urgency=medium

  * Depend on python3-qt4 for the auto-quit logic in the helper LP: #1293948
  * Refactor
    - dbus helper now only has one function
    - dbus interaction uses explicit type demarshalling
    - new struct types Device and Driver representing the explicit dbus types
    - new class DriverManager encorporating most logic bits of Module such as
      dbus and qapt interaction
    - DriverWidget QApt queries moved to DriverManager's dbus handling, but
      continues to query qapt packages directly for name and such nonesense
    - Manual driver listing is no longer explicitly dependent on package
      findability
    - DriverWidget changes detection now happen through iterative queries
      in Module::possiblyChanged, fixing change tracking
    - Module continues to contain Debconf handling, pipe id merely passed to
      DriverManager
    - New Module functions enableUi and disableUi containing reoccuring logic
    - DriverWidget does not implicitly create left-to-right strings anymore
    - Module::load is now the grand unified way to trigger a (re)load of data
      while DriverManager::refresh synchronizes the reload requests with
      QApt/Xapian init, fixing all likely and less likely init order problems
    - New struct Device provides deep qdebug stream operators to debug
      stuff conveniently
    - Module includes have been cleaned up slightly
    - Drivers are now not only installed, but also removed, this effectively
      enables actual driver change as the way management works is that the
      consideration is that only one driver is installed at a time (except for
      the free version), which also is why manual always wins active
      detection as it simply prevents any other driver from being considered.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 25 Mar 2014 14:29:51 +0100

kubuntu-driver-manager (14.04ubuntu3) trusty; urgency=medium

  * New upstream snapshot
    - Bug fixing around
      + Better strings LP: #1282095
      + Update xapian cache before opening LP: #1282087
      + Fix memory leak
      + Drop useless keepAlive function LP: #1282092
      + Timer should start/stop before each function so that the script
        doesn't quite mid way LP: #1282090

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 10 Mar 2014 14:59:23 +0100

kubuntu-driver-manager (14.04ubuntu2) trusty; urgency=medium

  * New upstream snapshot
    - Change name (LP: #1278814)
    - Fix crash when hitting refresh button (LP: #1278816)
    - Implement state tracking (LP: #1278827)
    - Make sure apply button is enabled even after transaction
      returns a error (LP: #1278826)

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 12 Feb 2014 15:18:59 +0100

kubuntu-driver-manager (14.04ubuntu1) trusty; urgency=low

  * Initial release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 19:47:40 +0100

=== debian/rules ===
#!/usr/bin/make -f

version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

%:
	dh $@ --with kde

override_dh_auto_configure:
	dh_auto_configure -- -DVERSION_STRING_FULL=$(version)

override_dh_strip:
	dh_strip --dbg-package=kubuntu-driver-manager-dbg

## kubuntu-driver-manager 14.04ubuntu9

=== debian/changelog ===
kubuntu-driver-manager (14.04ubuntu9) trusty; urgency=medium

  [ Harald Sitter ]
  * DriverWidget: do not list builtin drivers as not selected.
    + This avoids breaking the system by trying to remove essential packages
      such as xserver-xorg-video-nouveau for being not selected.
    LP: #1311583

  [ Rohan Garg ]
  * Add a apport hook to provide more debug info when reporting bugs

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 23 Apr 2014 13:45:47 +0200

kubuntu-driver-manager (14.04ubuntu8) trusty; urgency=medium

  * Prevent crashes by properly locking the GUI while applying changes
    LP: #1311075
    + New function DriverWidget::setSelectionEnabled, disabling or enabling
      all QAbstractButtons inside the respective DriverWidget, leaving the
      header label unaffected to give a nicer visual experience.
  * Prevent state confusion caused by allowing 'defaults' to trigger a reload
    even when the manager is currently busy applying changes. Since we have
    no button control inside the KCM we simply turn load() noop while the
    manager is active. This is unfortunately not the nicest behavior, however
    the module will reload whenever the manager finishes, so implicitly we
    will simply execute the requested action once the manager is idle again.
    LP: #1311079
    + Introduce new function DriverManager::isActive evaluating the transaction
      pointer (nullptr when idle).

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 22 Apr 2014 14:29:09 +0200

## kubuntu-driver-manager 14.04ubuntu10

=== src/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/Version.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(kcm_SRCS
    main.cpp
    Module.cpp
    DriverManager.cpp
    DriverWidget.cpp
    Device.cpp
)

set_source_files_properties(${kcm_SRCS} PROPERTIES INCLUDE drivermanagerdbustypes.h)
set(drivermanagerobject_xml org.kubuntu.DriverManager.xml)
set_source_files_properties(${drivermanagerobject_xml} PROPERTIES INCLUDE drivermanagerdbustypes.h)
qt4_add_dbus_interface(kcm_SRCS ${drivermanagerobject_xml} DriverMangerInterface)

dbus_add_activation_session_service(org.kubuntu.DriverManager.service.in)

kde4_add_ui_files(kcm_SRCS Module.ui DriverWidget.ui)
kde4_add_plugin(kcm_driver_manager ${kcm_SRCS})

target_link_libraries(kcm_driver_manager
    ${KDE4_KDEUI_LIBRARY}
    ${KDE4_SOLID_LIBRARY}
    ${QAPT_LIBRARY}
    ${DEBCONF_KDE_LIB}
)

install(TARGETS kcm_driver_manager DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kcm_driver_manager.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/DriverManager_DBus DESTINATION ${KDE4_LIBEXEC_INSTALL_DIR})

=== debian/changelog ===
kubuntu-driver-manager (14.04ubuntu10) trusty; urgency=medium

  * Fix debug output typo s/beause/because/
  * Implement QApt transaction prompt signals
   + This adds three new qslots to drivermanager:
     - provideMedium
     - untrustedPrompt
     - configFileConflict
    + All three are copied from libmuon's ApplicationBackend and
      adjusted in the least invasive manner
    + All three trigger a KMessageBox to query the user for a decision on
      the respective apt/dpkg-level issues
    + The KMessageBoxes anchor to qApp::activeWindow as DriverManager is
      supposed to not contain UI logic and as such has no explicit method
      to get the master window id
    + These slots add new strings that were previously not available for
      translations, but should eventually get picked up by launchpad.
    + Module.cpp manually adds 'libmuon' as a translation catalog to draw
      translations from, while we have no translations of our own. This is
      to prevent the newly introduced strings from going untranslated.
      This relationship is not refelected on a packaging level since in due
      time our own language-packages should contain translation, plus the
      prompts are incredibly hard to trigger so even in an untranslated state
      99.9% of users will not ever see them. If we can get the translations
      from libmuon it's nice, if not we'll likely not care given the impact.
    LP: #1315670

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 12 May 2014 13:16:26 +0200

=== debian/control ===
Source: kubuntu-driver-manager
Section: kde
Priority: optional
Maintainer: Rohan Garg <rohangarg@kubuntu.org>
Build-Depends: debhelper (>= 9.0.0), cmake,
 pkg-kde-tools,
 kdelibs5-dev,
 libqapt-dev,
 libqt4-dev,
 libdebconf-kde-dev
Standards-Version: 3.9.5
Homepage: http://quickgit.kde.org/?p=scratch/garg/kcm-driver-manager.git
X-Ubuntu-Use-Langpack: yes

Package: kubuntu-driver-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ubuntu-drivers-common, python3,
 python3-dbus.mainloop.qt, python3-pyqt4
Description: Driver Manager for Kubuntu
 Driver Manager provides a user interface for configuring third-party drivers,
 such as the Nvidia and ATI fglrx X.org and various Wireless LAN
 kernel modules.
 .
 This package contains the KDE frontend.
 
Package: kubuntu-driver-manager-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, kubuntu-driver-manager (= ${binary:Version})
Description: Driver Manager for Kubuntu -- debug symbols
 Driver Manager provides a user interface for configuring third-party drivers,
 such as the Nvidia and ATI fglrx X.org and various Wireless LAN
 kernel modules.
 .
 This package contains debugging symbols for the KDE frontend.

## kubuntu-driver-manager 15.04ubuntu3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,28 @@
 project(kcm-drivermanager)
 
-find_package(Qt4 4.7.0 REQUIRED)
+cmake_minimum_required(VERSION 2.8.12)
 
-find_package(KDE4 REQUIRED)
-include(KDE4Defaults)
+find_package(ECM 0.0.14 REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
-find_package(QApt)
+include(FeatureSummary)
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDECompilerSettings)
+
+find_package(Qt5 5.0.0 CONFIG REQUIRED DBus)
+find_package(KF5 5.0.0 REQUIRED
+    COMPONENTS
+        Config
+        ConfigWidgets
+        I18n
+        TextWidgets)
+
+find_package(QApt REQUIRED)
 find_package(DebconfKDE REQUIRED)
 
-add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
-add_definitions(-std=c++0x)
-include_directories(${KDE4_INCLUDES} ${QT_INCLUDES} ${QAPT_INCLUDE_DIR})
+# KI18N Translation Domain for this library
+add_definitions(-DTRANSLATION_DOMAIN=\"kcm-driver-manager\")
 
 macro(dbus_add_activation_session_service _sources)
     foreach (_i ${_sources})

=== src/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/Version.h)

set(kcm_SRCS
    main.cpp
    Module.cpp
    DriverManager.cpp
    DriverWidget.cpp
    Device.cpp
)

set_source_files_properties(${kcm_SRCS} PROPERTIES INCLUDE drivermanagerdbustypes.h)
set(drivermanagerobject_xml org.kubuntu.DriverManager.xml)
set_source_files_properties(${drivermanagerobject_xml} PROPERTIES INCLUDE drivermanagerdbustypes.h)
qt5_add_dbus_interface(kcm_SRCS ${drivermanagerobject_xml} DriverMangerInterface)

dbus_add_activation_session_service(org.kubuntu.DriverManager.service.in)

qt5_wrap_ui(kcm_SRCS Module.ui DriverWidget.ui)

add_library(kcm_driver_manager MODULE ${kcm_SRCS})

target_link_libraries(kcm_driver_manager
    Qt5::DBus
    KF5::ConfigWidgets
    QApt::Main
    DebconfKDE::Main)

install(TARGETS kcm_driver_manager DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kcm_driver_manager.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/DriverManager_DBus DESTINATION ${LIBEXEC_INSTALL_DIR})

=== debian/changelog ===
kubuntu-driver-manager (15.04ubuntu3) vivid; urgency=medium

  * Set the library translation domain so that the KCM actually loads
    its translations

 -- Harald Sitter <sitter@kde.org>  Thu, 26 Mar 2015 12:21:50 +0100

kubuntu-driver-manager (15.04ubuntu2) vivid; urgency=medium

  * Add build-dep on extra-cmake-modules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 19 Dec 2014 18:01:58 +0100

kubuntu-driver-manager (15.04ubuntu1) vivid; urgency=medium

  * Port to KDE Frameworks 5
  * Make sure the no-drivers-available label is shown when no drivers are there
    + LP: #1316563

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 22 Apr 2014 14:31:46 +0200

=== debian/control ===
Source: kubuntu-driver-manager
Section: kde
Priority: optional
Maintainer: Rohan Garg <rohangarg@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules,
               libdebconf-kde-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5i18n-dev,
               libkf5kdelibs4support-dev,
               libkf5textwidgets-dev,
               libqapt-dev,
               pkg-kde-tools
Standards-Version: 3.9.6
Homepage: http://quickgit.kde.org/?p=scratch/garg/kcm-driver-manager.git
X-Ubuntu-Use-Langpack: yes

Package: kubuntu-driver-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ubuntu-drivers-common, python3,
 python3-dbus.mainloop.pyqt5, python3-pyqt5
Description: Driver Manager for Kubuntu
 Driver Manager provides a user interface for configuring third-party drivers,
 such as the Nvidia and ATI fglrx X.org and various Wireless LAN
 kernel modules.
 .
 This package contains the KDE frontend.

Package: kubuntu-driver-manager-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kubuntu-driver-manager (= ${binary:Version}), ${misc:Depends}
Description: Driver Manager for Kubuntu -- debug symbols
 Driver Manager provides a user interface for configuring third-party drivers,
 such as the Nvidia and ATI fglrx X.org and various Wireless LAN
 kernel modules.
 .
 This package contains debugging symbols for the KDE frontend.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

override_dh_auto_configure:
	$(overridden_command) -- -DVERSION_STRING_FULL=$(version)

override_dh_strip:
	dh_strip --dbg-package=kubuntu-driver-manager-dbg

## kubuntu-driver-manager 15.10ubuntu3

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,3 +36,6 @@
 endmacro(dbus_add_activation_session_service _sources)
 
 add_subdirectory(src)
+
+find_package(KF5I18n CONFIG REQUIRED)
+ki18n_install(po)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
 target_link_libraries(kcm_driver_manager
     Qt5::DBus
     KF5::ConfigWidgets
+    KF5::I18n
     QApt::Main
     DebconfKDE::Main)

=== debian/changelog ===
kubuntu-driver-manager (15.10ubuntu3) wily; urgency=medium

  * Add I18n to target link libraries to get access to the KLocalizedString
    header and fix a build failure

 -- Harald Sitter <sitter@kde.org>  Wed, 30 Sep 2015 09:14:20 +0200

kubuntu-driver-manager (15.10ubuntu2) wily; urgency=medium

  * Fix rules. "Make - Like Perl, but Worse"

 -- Harald Sitter <sitter@kde.org>  Tue, 29 Sep 2015 11:22:59 +0200

kubuntu-driver-manager (15.10ubuntu1) wily; urgency=medium

  * New release for 15.10, updating translations

 -- Harald Sitter <sitter@kde.org>  Tue, 22 Sep 2015 14:40:40 +0200

=== debian/control ===
--- 
+++ 
@@ -15,12 +15,15 @@
                pkg-kde-tools
 Standards-Version: 3.9.6
 Homepage: http://quickgit.kde.org/?p=scratch/garg/kcm-driver-manager.git
-X-Ubuntu-Use-Langpack: yes
 
 Package: kubuntu-driver-manager
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ubuntu-drivers-common, python3,
- python3-dbus.mainloop.pyqt5, python3-pyqt5
+Depends: python3,
+         python3-dbus.mainloop.pyqt5,
+         python3-pyqt5,
+         ubuntu-drivers-common,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Driver Manager for Kubuntu
  Driver Manager provides a user interface for configuring third-party drivers,
  such as the Nvidia and ATI fglrx X.org and various Wireless LAN

## kubuntu-driver-manager 15.10ubuntu4

=== debian/changelog ===
kubuntu-driver-manager (15.10ubuntu4) yakkety; urgency=medium

  * Depend on apt-xapian-index as the driver manager requires a working index
    to detect the driver <> package mapping.

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 06 Jul 2016 09:21:15 +0000

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
          python3-dbus.mainloop.pyqt5,
          python3-pyqt5,
          ubuntu-drivers-common,
+         apt-xapian-index,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Driver Manager for Kubuntu

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,14 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=kubuntu-driver-manager-dbg
+
+kubuntu_rake:
+	rm -rf .kubuntu-rake
+	if [ -e .git ]; then \
+		git clone kde:scratch/sitter/kubuntu-rake .kubuntu-rake; \
+		cp .kubuntu-rake/Rakefile .; \
+	fi
+	if [ -e Rakefile ]; then rake; fi
+
+override_dh_auto_clean: kubuntu_rake
+	dh_auto_clean
